Bug 1631930 - Chromebook keyboard not working with 4.18 kernel
Summary: Chromebook keyboard not working with 4.18 kernel
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-22 03:46 UTC by rahul.juliato
Modified: 2018-12-10 23:27 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:44:45 UTC


Attachments (Terms of Use)
dmesg from boot (63.10 KB, text/plain)
2018-11-07 20:00 UTC, rahul.juliato
no flags Details
dmidecode - working keyboard (3.58 KB, text/plain)
2018-11-09 14:55 UTC, rahul.juliato
no flags Details
dmidecode - not working keyboard (3.58 KB, text/plain)
2018-11-09 14:56 UTC, rahul.juliato
no flags Details
dmesg-3 (59.32 KB, text/plain)
2018-11-10 18:02 UTC, rahul.juliato
no flags Details
dmidecode-3 (3.58 KB, text/plain)
2018-11-10 18:03 UTC, rahul.juliato
no flags Details
Correct DMI data for Chrome devices with cherryview pinctrl (1.97 KB, patch)
2018-12-10 23:25 UTC, Dmitry Torokhov
no flags Details | Diff

Description rahul.juliato 2018-09-22 03:46:32 UTC
Description of problem:

It's actually this thread of 4.16 all over again:

https://bugzilla.redhat.com/show_bug.cgi?id=1573694

- No kernel modules loading
- No keyboard!

Comment 1 rahul.juliato 2018-11-06 23:21:55 UTC
$ uname -a
Linux chronos 4.17.19-100.fc27.x86_64 #1 SMP Fri Aug 24 15:32:56 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

I am on a Samsung Chromebook XE500C13 (intel Braswell).


I have no keyboard and/or mouse that's not USB with kernel 4.18.

This happened with 4.16, corrected with 4.17, but no 4.18 fixes it.

Is this being taken care? How can I help?

Comment 2 Steve 2018-11-07 13:31:19 UTC
(In reply to rahul.juliato from comment #1)
...
> ... How can I help?

$ dmesg > dmesg-1.txt

Attach dmesg-1.txt. (Use the "Add an attachment" link at the top of the page.)

Comment 3 rahul.juliato 2018-11-07 20:00:42 UTC
Created attachment 1503119 [details]
dmesg from boot

Comment 4 Steve 2018-11-07 21:21:14 UTC
Thanks for posting dmesg. I Googled this error message:

[    1.486462] i8042: probe of i8042 failed with error -22

and got several results.

What BIOS are you using?

There is also a suggestion in dmesg:

[    1.486462] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp

IIUC, that means append "i8042.nopnp" to the kernel command line.

Disclaimer: I'm not a developer -- I just happened to see your bug while checking up on mine. :-)

Comment 5 Steve 2018-11-07 21:34:37 UTC
(In reply to Steve from comment #4)
...
> What BIOS are you using?
...

According to dmesg:

[    0.000000] SMBIOS 2.7 present.
[    0.000000] DMI: GOOGLE Celes, BIOS  01/19/2017

Comment 6 Steve 2018-11-07 22:24:04 UTC
You might be able to get more info with this on the kernel command line:
i8042.debug

The kernel’s command-line parameters
https://www.kernel.org/doc/html/latest/admin-guide/kernel-parameters.html?highlight=i8042

Comment 7 Steve 2018-11-08 17:20:55 UTC
(In reply to rahul.juliato from comment #1)
> $ uname -a
> Linux chronos 4.17.19-100.fc27.x86_64 #1 SMP Fri Aug 24 15:32:56 UTC 2018
> x86_64 x86_64 x86_64 GNU/Linux
...
> This happened with 4.16, corrected with 4.17, but no 4.18 fixes it.
...

Could you post the exact version of the most recent 4.17 Fedora kernel that works as expected?

Comment 8 rahul.juliato 2018-11-08 20:49:50 UTC
(In reply to Steve from comment #7)
> (In reply to rahul.juliato from comment #1)
> > $ uname -a
> > Linux chronos 4.17.19-100.fc27.x86_64 #1 SMP Fri Aug 24 15:32:56 UTC 2018
> > x86_64 x86_64 x86_64 GNU/Linux
> ...
> > This happened with 4.16, corrected with 4.17, but no 4.18 fixes it.
> ...
> 
> Could you post the exact version of the most recent 4.17 Fedora kernel that
> works as expected?


$ uname -a
Linux chronos 4.17.19-100.fc27.x86_64 #1 SMP Fri Aug 24 15:32:56 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

This is the last one I've got the keyboard working.

Comment 9 Steve 2018-11-09 14:20:28 UTC
This sounds like the same bug:

Bug 201323 - Integrated keyboard not working since linux 4.18 on Acer chromebook Cyan 
https://bugzilla.kernel.org/show_bug.cgi?id=201323

Dmitry asks for dmidecode. As with dmesg:

$ sudo dmidecode > dmidecode-1.txt

Attach dmidecode-1.txt.

Dmitry also asks: "Is this with original firmware, or alternative one?"

Could you confirm that you are using the original firmware?

Comment 10 Steve 2018-11-09 14:44:28 UTC
BTW, I would suggest changing the "Summary" to something more specific, such as:

"Chromebook keyboard not working with 4.18 kernel"

To change the summary, click the "(edit)" link next to the summary after logging into Bugzilla.

Comment 11 rahul.juliato 2018-11-09 14:52:23 UTC
(In reply to Steve from comment #10)
> BTW, I would suggest changing the "Summary" to something more specific, such
> as:
> 
> "Chromebook keyboard not working with 4.18 kernel"
> 
> To change the summary, click the "(edit)" link next to the summary after
> logging into Bugzilla.

done.

Comment 12 rahul.juliato 2018-11-09 14:55:12 UTC
Created attachment 1503672 [details]
dmidecode - working keyboard

Comment 13 rahul.juliato 2018-11-09 14:56:02 UTC
Created attachment 1503673 [details]
dmidecode - not working keyboard

Comment 14 rahul.juliato 2018-11-09 15:02:07 UTC
(In reply to Steve from comment #9)
> This sounds like the same bug:
> 
> Bug 201323 - Integrated keyboard not working since linux 4.18 on Acer
> chromebook Cyan 
> https://bugzilla.kernel.org/show_bug.cgi?id=201323
> 
> Dmitry asks for dmidecode. As with dmesg:
> 
> $ sudo dmidecode > dmidecode-1.txt
> 
> Attach dmidecode-1.txt.
> 
> Dmitry also asks: "Is this with original firmware, or alternative one?"
> 
> Could you confirm that you are using the original firmware?


I attached the dmidecode for both kernels.

Please note that with 4.18 I am using an external USB keyboard.

Regarding firmware, I've never installed manually any firmwares to the keyboard, worked out of the box with install.

Comment 15 Steve 2018-11-09 16:22:53 UTC
(In reply to rahul.juliato from comment #14)
...
> I attached the dmidecode for both kernels.

Thanks. They are identical, because the DMI is part of the BIOS.
https://en.wikipedia.org/wiki/System_Management_BIOS

However, it could explain the problem -- the DMI is missing a lot of info. Compare with another laptop. See "man dmidecode" for more.

> Please note that with 4.18 I am using an external USB keyboard.

Thanks for confirming that.
 
> Regarding firmware, I've never installed manually any firmwares to the
> keyboard, worked out of the box with install.

OK. Dmitry is referring to the BIOS firmware. Some people are supplying custom BIOS firmware for Chromebooks.

Comment 16 rahul.juliato 2018-11-09 16:32:03 UTC
(In reply to Steve from comment #15)
> (In reply to rahul.juliato from comment #14)
> ...
> > I attached the dmidecode for both kernels.
> 
> Thanks. They are identical, because the DMI is part of the BIOS.
> https://en.wikipedia.org/wiki/System_Management_BIOS
> 
> However, it could explain the problem -- the DMI is missing a lot of info.
> Compare with another laptop. See "man dmidecode" for more.
> 
> > Please note that with 4.18 I am using an external USB keyboard.
> 
> Thanks for confirming that.
>  
> > Regarding firmware, I've never installed manually any firmwares to the
> > keyboard, worked out of the box with install.
> 
> OK. Dmitry is referring to the BIOS firmware. Some people are supplying
> custom BIOS firmware for Chromebooks.

Oh yeah.
I am using SeaBIOS.

Comment 17 Steve 2018-11-09 16:53:17 UTC
(In reply to rahul.juliato from comment #16)
...
> Oh yeah.
> I am using SeaBIOS.

Thanks. For completeness, could you post a link to your source for SeaBIOS and to the installation instructions you followed?

Comment 18 rahul.juliato 2018-11-10 15:30:43 UTC
(In reply to Steve from comment #17)
> (In reply to rahul.juliato from comment #16)
> ...
> > Oh yeah.
> > I am using SeaBIOS.
> 
> Thanks. For completeness, could you post a link to your source for SeaBIOS
> and to the installation instructions you followed?

It's been a while, but I still have the script. It was an older version of this guy here:

https://mrchromebox.tech/static/fwscript.html

Comment 19 Steve 2018-11-10 15:50:27 UTC
Adding Dmitry Torokhov to CC list.

Dmitry: Could you suggest what should be done with this bug?

Comment 20 Steve 2018-11-10 17:02:24 UTC
(In reply to rahul.juliato from comment #18)
...
> > Thanks. For completeness, could you post a link to your source for SeaBIOS
> > and to the installation instructions you followed?
> 
> It's been a while, but I still have the script. It was an older version of
> this guy here:
> 
> https://mrchromebox.tech/static/fwscript.html

Thanks. Have you tried updating the firmware?

The attached dmidecode output shows a date of 01/19/2017:
...
BIOS Information
	Vendor: coreboot
	Version:                                                                   
	Release Date: 01/19/2017
...

The MrChromebox home page mentions more recent updates:
https://mrchromebox.tech/

Comment 21 Steve 2018-11-10 17:57:44 UTC
(In reply to Steve from comment #20)
...
> The MrChromebox home page mentions more recent updates:
> https://mrchromebox.tech/

I looked at the download scripts and see that there is a Braswell ROM file dated 2018-09-12:

$ fgrep -i braswell sources.sh 
#Braswell
seabios_braswell="seabios-bsw-mrchromebox_20180912.bin"

BTW, none of the files have digital signatures. In particular, the "flashrom" program is not signed:

$ fgrep gpg *.sh
$ file flashrom
flashrom: ELF 64-bit LSB executable, x86-64, ...

Comment 22 rahul.juliato 2018-11-10 18:01:15 UTC
I've downloaded the Mr. Chromebox scripts again and selected the "updated" option.

Still no keyboard with 4.18. Here you have dmesg-3 and dmidecode-3.

People have been telling me to use GalliumOS, or do something with it's kernel, but in my opinion there's nothing they can do fedora can't better. :)

Comment 23 rahul.juliato 2018-11-10 18:02:24 UTC
Created attachment 1504120 [details]
dmesg-3

Comment 24 rahul.juliato 2018-11-10 18:03:18 UTC
Created attachment 1504121 [details]
dmidecode-3

Comment 25 Steve 2018-11-11 02:16:59 UTC
(In reply to rahul.juliato from comment #22)
> I've downloaded the Mr. Chromebox scripts again and selected the "updated"
> option.
> 
> Still no keyboard with 4.18. Here you have dmesg-3 and dmidecode-3.

Thanks for checking that. The dmidecode output is unchanged.

> People have been telling me to use GalliumOS, or do something with it's
> kernel, but in my opinion there's nothing they can do fedora can't better. :)

My solution when there has been a critical kernel bug has been to set:

installonly_limit=0

in /etc/dnf/dnf.conf (see "man dnf.conf").

And to configure grub to boot a working kernel by default (see "6.1 Simple configuration handling" in "info grub2").

Comment 26 Dmitry Torokhov 2018-11-12 20:09:08 UTC
Hmm, can you try reverting 86c5dd6860a60e9b69558ecfce2c4769045d110c and see if that helps?

Comment 27 Dmitry Torokhov 2018-11-12 20:16:09 UTC
Yeah, it look like the commit above should have used DMI_PRODUCT_VERSION.

Comment 28 Steve 2018-11-12 23:52:40 UTC
(In reply to Dmitry Torokhov from comment #26)
> Hmm, can you try reverting 86c5dd6860a60e9b69558ecfce2c4769045d110c and see
> if that helps?

Dmitry: Thanks for looking at this bug.

Rahul: Dmitry is referring to this commit:

pinctrl: cherryview: limit Strago DMI workarounds to version 1.0
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=86c5dd6860a60e9b69558ecfce2c4769045d110c

Have you built a kernel? If not, it might be easier to wait for someone else to do a build.

Dmitry: What do you suggest? (NB: I don't have Chromebook, so Rahul would be doing the testing.)

Comment 29 Steve 2018-11-13 05:14:38 UTC
Building the Fedora Kernel
Posted by Laura Abbott	on September 6, 2016 
https://fedoramagazine.org/building-fedora-kernel/

Git quick reference
https://fedoraproject.org/wiki/Git_quick_reference

Comment 30 rahul.juliato 2018-11-14 03:23:18 UTC
Well guys, sorry for disappearing.

I've been using a sd card as "hard drive", as it's a common pratice for chromebooks users.

Long story short, I formatted the wrong one and now fedora 27 is "kaput", gone for good :~~~~

If you think it is worth I can get another sd card working only for testing, in that case, should I install 28?

Also, besides the keyboard strange problem, I've never got the sound card working properly. It looks like this google stuff is meant not be easy to use with other distros.

Comment 31 Steve 2018-11-14 07:18:16 UTC
(In reply to rahul.juliato from comment #30)
...
> If you think it is worth I can get another sd card working only for testing,
> in that case, should I install 28?

Having a separate SD card for testing sounds like a good idea. However, F28 probably has the same keyboard problem. If so, change the "Version" to "28" at the top of the bug report. These are the current F28 kernels:

# dnf repoquery kernel -q --releasever=28
kernel-0:4.16.3-301.fc28.x86_64
kernel-0:4.18.17-200.fc28.x86_64

> Also, besides the keyboard strange problem, I've never got the sound card
> working properly. It looks like this google stuff is meant not be easy to
> use with other distros.

After you get F28 installed and confirm that there is a problem with sound, file a separate bug report. The component may not be obvious, but your dmesg output shows that the "snd_hda_intel" module is being load, so I would suggest setting the component to "pulseaudio".

Comment 32 Ben Cotton 2018-11-27 13:34:37 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 33 Ben Cotton 2018-11-30 23:44:45 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 34 Dmitry Torokhov 2018-12-10 23:25:49 UTC
Created attachment 1513218 [details]
Correct DMI data for Chrome devices with cherryview pinctrl

Please try this patch if you have a chance.

Comment 35 Dmitry Torokhov 2018-12-10 23:27:18 UTC
Probably want to reopen it as it definitely affects 28 and 29 releases as well.


Note You need to log in before you can comment on or make changes to this bug.